Page MenuHomePhabricator

Investigate and implement possible simplification of Cassandra Logstash filtering
Closed, ResolvedPublic

Description

In T128787 StatusLogger messages were removed from the UDP appender with a logback filter. This is now in place and working, but @Gehel has pointed out that it may be possible to simplify this using the additivity attribute of a custom logger (something like):

1<logger name="org.apache.cassandra.utils.StatusLogger" additivity="false">
2 <appender-ref ref="some-logger" />
3</logger>

If something like this were to work, it would make logback.xml somewhat simpler, and allow us to eliminate the dependency on commons-compiler-2.7.8.jar, and janino-2.7.8.jar.

Details

Related Gerrit Patches:

Event Timeline

Eevans created this task.Mar 24 2016, 7:11 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 24 2016, 7:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Eevans triaged this task as Lowest priority.Mar 24 2016, 7:11 PM
Eevans renamed this task from Investigate simplifying Cassandra logstash filtering to Investigate possible simplification of Cassandra Logstash filtering.Mar 24 2016, 7:41 PM
Nuria moved this task from Incoming to Radar on the Analytics board.Mar 28 2016, 4:09 PM
Yurik moved this task from All map-related tasks to Tracking on the Maps board.Mar 29 2016, 6:24 PM

Change 282466 had a related patch set uploaded (by Jstenval):
Simplification of Cassandra Logstash filtering

https://gerrit.wikimedia.org/r/282466

jstenval renamed this task from Investigate possible simplification of Cassandra Logstash filtering to Investigate and implement possible simplification of Cassandra Logstash filtering.Apr 11 2016, 10:09 AM
Eevans raised the priority of this task from Lowest to Medium.Apr 26 2016, 6:57 PM
Eevans moved this task from Backlog to Next on the Cassandra board.

Any plans to review / decide on the patch that has been sitting in Gerrit for six weeks now? Thanks.

I apologize this has sat for so long, it keeps sliding down the list of priorities. I will try to get this tested sometime in the week or so that we can move this forward.

Mentioned in SAL [2016-09-01T18:32:03Z] <urandom> T130861: Cherry picking https://gerrit.wikimedia.org/r/#/c/282466/ to deployment-puppetmaster

Mentioned in SAL [2016-09-01T18:34:17Z] <urandom> T130861: Restarting Cassandra on deployment-restbase0[1-2]

Mentioned in SAL [2016-09-01T19:00:41Z] <urandom> T130861: Restarting Cassandra on deployment-restbase0[1-2]

Eevans moved this task from Next to Blocked on the Cassandra board.Sep 1 2016, 7:02 PM
Eevans added a subscriber: elukey.Sep 1 2016, 7:05 PM

I updated https://gerrit.wikimedia.org/r/#/c/282466 to include the equivalent 2.2 configuration, and tested this in deployment-prep; I think this is ready to go.

@elukey I'll leave this here for you to have a look at, and if I don't hear anything by next week I'll queue it for Puppet SWAT.

Change 282466 merged by Elukey:
Simplification of Cassandra Logstash filtering

https://gerrit.wikimedia.org/r/282466

Mentioned in SAL (#wikimedia-operations) [2016-09-14T15:41:39Z] <urandom> T130861: Forcing puppet run in restbase staging

Mentioned in SAL (#wikimedia-operations) [2016-09-14T15:45:19Z] <urandom> T130861: Restarting Cassandra, xenon.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2016-09-14T15:49:52Z] <urandom> T130861: Performing rolling Cassandra restart, restbase staging

Mentioned in SAL (#wikimedia-operations) [2016-09-14T15:56:59Z] <elukey> restarting cassandra on aqs1001 T130861

Mentioned in SAL (#wikimedia-operations) [2016-09-14T16:05:28Z] <elukey> restarting cassandra on aqs100[23] T130861

Mentioned in SAL (#wikimedia-analytics) [2016-09-14T16:07:36Z] <elukey> cassandra on aqs100[123] restarted for T130861

Mentioned in SAL (#wikimedia-operations) [2016-09-20T07:36:15Z] <elukey> restart cassandra on aqs100[456] for T130861 - only aqs1004 is taking live traffic

Mentioned in SAL (#wikimedia-analytics) [2016-09-20T07:40:58Z] <elukey> restart cassandra on aqs100[456] for T130861 - only aqs1004 is taking live traffic

Eevans moved this task from Blocked to In-Progress on the Cassandra board.Sep 20 2016, 7:10 PM
Eevans closed this task as Resolved.Oct 7 2016, 3:32 PM

Complete.